/* Portada */

.article-container-cover{
  width: 100%;
  height: 500px;
  position: relative;
  margin-top: 80px;
  background-image: url(../img/img8.jpg);
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
}

.article-container-cover:before{
  content: '';
  width: 100%;
  height: 100%;
  background: rgba(38, 172, 255, 0.8);
  position: absolute;
  top: 0;
  left: 0;
}

.container-info-cover{
  max-width: 800px;
  height: 500px;
  margin: auto;
  text-align: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  position: relative;
  z-index: 1;
}

.container-info-cover h1{
  font-size: 60px;
  font-weight: 500;
  color: #fff;
  margin-bottom: 20px;
}

.container-info-cover p{
  color: #fff;
  font-size: 20px;
  font-weight: 300;
}



/* Contenedor - contenido del artículo */

.container-content{
  width: 1200px;
  margin: auto;
  margin-top: 40px;
  display: flex;
  justify-content: center;
}

article{
  width: 100%;
  padding: 20px;
  padding-bottom: 40px;
  box-shadow: -15px 0 20px -30px black;
  border-radius: 6px;
  position: relative;
  overflow: hidden;
  background: #fff;
}

article:before{
  content: '';
  width: 100%;
  height: 6px;
  position: absolute;
  top: 0;
  left: 0;
  background: #46a2fd;
}

article h1{
  margin-top: 20px;
  font-weight: 500;
  font-size: 40px;
}

article p{
  margin-top: 20px;
  font-size: 18px;
  color: #3c3c3c;
}

article img{
  width: 100%;
  margin-top: 20px;
}



/* Aside de los artículos relacionados */

.container-aside aside{
  width: 320px;
  border-right: 6px;
  box-shadow: 0 0 20px -20px black;
  border-radius: 6px;
  overflow: hidden;
  margin-left: 40px;
  margin-bottom: 40px;
  padding-bottom: 20px;
  background: #fff;
}

.container-aside aside img{
  width: 100%;
}

.container-aside aside h2,
.container-aside aside p{
  margin-top: 20px;
  padding: 0px 20px;
}

.container-aside aside button{
  margin-top: 20px;
  margin-left: 20px;
  padding: 10px 50px;
  font-size: 16px;
  background: #46a2fd;
  border: none;
  color: #fff;
  cursor: pointer;
  border-radius: 6px;
}

.container-aside aside button:hover{
  opacity: 0.9;
}



@media screen and (max-width: 1220px){
  .container-content{
    max-width: 1000px;
    padding: 0px 20px;
  }
}

@media screen and (max-width: 1020px){
  .container-content{
    width: 100%;
    flex-direction: column;
  }

  article{
    box-shadow: 0 0 0 0;
  }

  .container-aside{
    display: flex;
    justify-content: center;
  }

  .container-aside aside{
    max-width: 300px;
    margin: 10px;
  }
}

@media screen and (max-width: 800px){
  .container-aside{
    flex-wrap: wrap;
  }

  #icon-menu{
    right: 20px;
  }
}